%define oname ktp-text-ui

Summary:	Telepathy handler for Text Chats
Name:		telepathy-kde-text-ui
Version:	17.08.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://projects.kde.org/projects/playground/network/telepathy/telepathy-text-ui
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5archive-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5emoticons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5itemviews-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5notifyconfig-devel
BuildRequires:	kf5people-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5sonnet-devel
BuildRequires:	kf5textwidgets-devel
BuildRequires:	kf5webkit-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	ktp-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
Requires:	telepathy-kde-common-internals
Requires:	telepathy-kde-send-file

%description
Telepathy handler for Text Chats.

%files -f %{name}.lang
%{_kde5_applicationsdir}/org.kde.ktplogviewer.desktop
%{_kde5_bindir}/ktp-log-viewer
%{_kde5_datadir}/ktelepathy/*
%{_kde5_datadir}/ktp-log-viewer/log-viewer.rc
%{_kde5_libdir}/libktpchat.so
%{_kde5_libdir}/libktpimagesharer.so
%{_kde5_libexecdir}/ktp-adiumxtra-protocol-handler
%{_kde5_libexecdir}/ktp-text-ui
%{_kde5_services}/adiumxtra.protocol
%{_kde5_services}/kcm_ktp_chat_appearance.desktop
%{_kde5_services}/kcm_ktp_chat_behavior.desktop
%{_kde5_services}/kcm_ktp_chat_messages.desktop
%{_kde5_services}/kcm_ktp_chat_otr.desktop
%{_kde5_services}/kcm_ktp_logviewer_behavior.desktop
%{_kde5_services}/kcm_ktptextui_message_filter_latex.desktop
%{_kde5_services}/kcm_ktptextui_message_filter_emoticons.desktop
%{_kde5_services}/ktptextui_message_filter_bugzilla.desktop
%{_kde5_services}/ktptextui_message_filter_emoticons.desktop
%{_kde5_services}/ktptextui_message_filter_formatting.desktop
%{_kde5_services}/ktptextui_message_filter_geopoint.desktop
%{_kde5_services}/ktptextui_message_filter_highlight.desktop
%{_kde5_services}/ktptextui_message_filter_images.desktop
%{_kde5_services}/ktptextui_message_filter_latex.desktop
%{_kde5_services}/ktptextui_message_filter_otr.desktop
%{_kde5_services}/ktptextui_message_filter_searchexpansion.desktop
%{_kde5_services}/ktptextui_message_filter_urlexpansion.desktop
%{_kde5_services}/ktptextui_message_filter_youtube.desktop
%{_kde5_servicetypes}/ktptxtui_message_filter.desktop
%{_kde5_xmlguidir}/ktp-text-ui/chatwindow.rc
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.TextUi.service
%{_datadir}/telepathy/clients/KTp.TextUi.client
%{_qt5_plugindir}/kcm_ktp_chat_appearance.so
%{_qt5_plugindir}/kcm_ktp_chat_behavior.so
%{_qt5_plugindir}/kcm_ktp_chat_messages.so
%{_qt5_plugindir}/kcm_ktp_chat_otr.so
%{_qt5_plugindir}/kcm_ktp_logviewer_behavior.so
%{_qt5_plugindir}/kcm_ktptextui_message_filter_emoticons.so
%{_qt5_plugindir}/kcm_ktptextui_message_filter_latex.so
%{_qt5_plugindir}/ktptextui_message_filter_bugzilla.so
%{_qt5_plugindir}/ktptextui_message_filter_emoticons.so
%{_qt5_plugindir}/ktptextui_message_filter_formatting.so
%{_qt5_plugindir}/ktptextui_message_filter_geopoint.so
%{_qt5_plugindir}/ktptextui_message_filter_highlight.so
%{_qt5_plugindir}/ktptextui_message_filter_images.so
%{_qt5_plugindir}/ktptextui_message_filter_latex.so
%{_qt5_plugindir}/ktptextui_message_filter_otr.so
%{_qt5_plugindir}/ktptextui_message_filter_searchexpansion.so
%{_qt5_plugindir}/ktptextui_message_filter_urlexpansion.so
%{_qt5_plugindir}/ktptextui_message_filter_youtube.so

#------------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang kcm_ktp_chat_appearance kcm_ktp_chat_behavior kcm_ktp_chat_messages kcm_ktp_chat_otr \
	ktp-adiumxtra-protocol-handler ktp-filters ktp-log-viewer ktp-text-ui ktpchat %{name}.lang

%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (abcf6ad) New version 17.08.2


